Subject: bug#66352: parallel make yields "find: ���./conf*.dir���: No such file or directory" errors

From: Vincent Lefevre <[email-masked]>
Date: Sat, 4 Nov 2023 00:55:09 +0100

On 2023-11-03 10:28:38 -0600, Karl Berry wrote:
>     When I want to build Automake (current Git version) with
>     a parallel make ("make -j12"):
> 
> I surmise this one was caused by the same random timing failures as your
> other reports, 66353 and 66354.
> 
> A couple days ago we finally installed a patch (thanks Bogdan and Jacob)
> so that development automake should no longer require development
> autoconf in order to avoid these problems. I.e., dev automake now falls
> back to the previous one-second-timestamp behavior unless autom4te is
> known to be new enough (specifically, that it uses Time::HiRes).
> 
> Please confirm if possible ... --thanks, karl.

Thanks. I've tried, and after the update to
5c85c782ae63769cc8c0b56505f7b188009d6666, the
failures have disappeared.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)